/// <reference types="react" />
export interface StandardProps {
    /** Additional classes */
    className?: string;
    /** Primary content */
    children?: React.ReactNode;
    /** Additional style */
    style?: React.CSSProperties;
    [key: string]: any;
}
export declare namespace TypeAttributes {
    type Size = 'xs' | 'sm' | 'md' | 'lg' | 'xl';
    type Status = 'warning' | 'info' | 'error' | 'success';
    type Appearence = 'default' | 'link' | 'subtle' | 'outline';
    type Color = 'default' | 'warning' | 'info' | 'success' | 'error' | 'primary';
    type Align = 'start' | 'end' | 'center' | 'baseline';
    type Direction = 'row' | 'column';
    type Speed = 'fast' | 'slow' | 'normal';
    type Loader = 'circle' | 'dot';
    type Placement4 = 'top' | 'right' | 'bottom' | 'left';
    type Placement8 = 'bottomStart' | 'bottomEnd' | 'topStart' | 'topEnd' | 'leftStart' | 'rightStart' | 'leftEnd' | 'rightEnd';
    type Placement = Placement4 | Placement4;
}
