import React, { SyntheticEvent } from 'react';
import { StandardProps, TypeAttributes } from '../../@types/common';
export interface ButtonProps extends StandardProps {
    /** A button currenlt unable to be intracted with */
    disabled?: boolean;
    /** Appearence of the button */
    appearence?: TypeAttributes.Appearence;
    /** Size of the button */
    size?: TypeAttributes.Size;
    /** The primary content */
    children?: React.ReactNode;
    /** Display of the button fluid to the wrapper */
    block?: boolean;
    /** The border radius of the component */
    radius?: number;
    /** The button can show loading indicator */
    loading?: boolean;
    /** The color of the button */
    color?: TypeAttributes.Color;
    /** Called when the button is clicked */
    onClick?: (event: SyntheticEvent) => void;
    /** You can use custom element for this component */
    componentClass?: React.ElementType;
}
declare const Button: React.FC<ButtonProps>;
export default Button;
