import * as React from 'react';
import { StandardProps, TypeAttributes } from '../../@types/common';
export declare type DropdownTrigger = 'click' | 'hover';
export interface DropdownProps<T = any> extends StandardProps {
    /** The main content */
    children?: React.ReactNode;
    /** Active event key */
    activeKey?: T;
    /** The value of the current option */
    eventKey?: T;
    /** Triggering event */
    trigger?: DropdownTrigger | DropdownTrigger[];
    /** placement of the dropdown menu */
    placement?: TypeAttributes.Placement8;
    /** show the dropdown menu */
    open?: boolean;
    /** You can use custom component for this component */
    componentClass?: any;
    /** The onClick event */
    onClick?: (event: React.SyntheticEvent) => void;
    /** The callback function that the menu closes */
    onClose?: () => void;
    /** Menu Pop-up callback function */
    onOpen?: () => void;
    /** Callback function for menu state switching */
    onToggle?: (open?: boolean) => void;
    /** Selected callback function */
    onSelect?: (eventKey: T, event: React.MouseEvent<HTMLElement>) => void;
    /** The toggle component */
    toggle?: React.ReactNode;
    /** You can custom the dropdown toggle */
    renderToggle?: React.ReactNode;
}
declare const Dropdown: React.FC<DropdownProps>;
export default Dropdown;
