import React from 'react';
import { TypeAttributes } from '../../@types/common';
export interface LoaderProps {
    /** Loader size */
    size?: TypeAttributes.Size;
    /** Content of the loader */
    content?: React.ReactNode;
    /** Speed of loader indicator */
    speed?: TypeAttributes.Speed | number;
    /** layout of the component */
    direction?: TypeAttributes.Direction;
    /** spinner type */
    type?: 'circle' | 'dot';
    /** the indicator color */
    color?: string;
}
declare const Loader: {
    ({ size, content, speed, direction, type, color }: LoaderProps): JSX.Element;
    defaultProps: {
        direction: string;
        size: string;
        speed: string;
        type: string;
        color: string;
    };
};
export default Loader;
