import PageComponent from './Page';
import PageContainer from './PageContainer';
import PageContent from './PageContent';
import PageHeader from './PageHeader';
import PageToolbar from './PageToolbar';
import PageTopbar from './PageTopbar';
import PageTopNavigation from './PageTopNavigation';
declare type PageComponentType = typeof PageComponent;
interface IPageComponent extends PageComponentType {
    Container: typeof PageContainer;
    Content: typeof PageContent;
    TopNavigation: typeof PageTopNavigation;
    Header: typeof PageHeader;
    Topbar: typeof PageTopbar;
    Toolbar: typeof PageToolbar;
}
declare const Page: IPageComponent;
export * from './Page';
export * from './PageContainer';
export * from './PageContent';
export * from './PageTopNavigation';
export * from './PageHeader';
export * from './PageToolbar';
export default Page;
