import React from 'react';
import { TypeAttributes } from '../../@types/common';
export interface SpacerProps {
    /** The main component */
    children?: React.ReactNode;
    /** Align items */
    align?: TypeAttributes.Align;
    /** The direction of the spacer */
    direction?: TypeAttributes.Direction;
    /** Auto wrap childs, when horizontal effective */
    wrap?: boolean;
    /** The space size */
    size?: number;
}
declare const Spacer: {
    ({ children, direction, align, wrap, size }: SpacerProps): JSX.Element;
    defaultProps: {
        direction: string;
        wrap: boolean;
        size: number;
    };
};
export default Spacer;
